/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author 590685
 */
public class pdsProductCreationBean {


    private String status;
    private String productName;
    private String productType;
    private String productDescription;
    private String productSubType;
    private String productSubTypeDescription;
    private String productCode;
    private String unit;
    private String inventorySearch;
    private String inventorySearchByType;
    private String inventorySearchByDescription;
    private String inventorySearchBySubType;
    private String inventorySearchBySubTypeDescription;
    private String statusAmend;
    private String productNameAmend;
    private String productTypeAmend;
    private String productDescriptionAmend;
    private String productSubTypeAmend;
    private String productSubTypeDescriptionAmend;
    private String unitAmend;
    private String product_id;
    private String product_id_search;
    private String productCodeActivation;
    private String productDescriptionActivation;
    private String productSubTypeDescriptionActivation;
    private String profitFactorAmend;
    private String profitFactor;

    public String getProduct_id_search() {
        return product_id_search;
    }

    public void setProduct_id_search(String product_id_search) {
        this.product_id_search = product_id_search;
    }


    public String getInventorySearchByDescription() {
        return inventorySearchByDescription;
    }

    public String getProductDescriptionActivation() {
        return productDescriptionActivation;
    }

    public void setProductDescriptionActivation(String productDescriptionActivation) {
        this.productDescriptionActivation = productDescriptionActivation;
    }

    public String getProductSubTypeDescriptionActivation() {
        return productSubTypeDescriptionActivation;
    }

    public void setProductSubTypeDescriptionActivation(String productSubTypeDescriptionActivation) {
        this.productSubTypeDescriptionActivation = productSubTypeDescriptionActivation;
    }

    public String getProductDescriptionAmend() {
        return productDescriptionAmend;
    }

    public void setProductDescriptionAmend(String productDescriptionAmend) {
        this.productDescriptionAmend = productDescriptionAmend;
    }

    public String getProductSubTypeAmend() {
        return productSubTypeAmend;
    }

    public void setProductSubTypeAmend(String productSubTypeAmend) {
        this.productSubTypeAmend = productSubTypeAmend;
    }

    public String getProductSubTypeDescriptionAmend() {
        return productSubTypeDescriptionAmend;
    }

    public void setProductSubTypeDescriptionAmend(String productSubTypeDescriptionAmend) {
        this.productSubTypeDescriptionAmend = productSubTypeDescriptionAmend;
    }

    public String getProductTypeAmend() {
        return productTypeAmend;
    }

    public void setProductTypeAmend(String productTypeAmend) {
        this.productTypeAmend = productTypeAmend;
    }

    public void setInventorySearchByDescription(String inventorySearchByDescription) {
        this.inventorySearchByDescription = inventorySearchByDescription;
    }

    public String getInventorySearchBySubType() {
        return inventorySearchBySubType;
    }

    public void setInventorySearchBySubType(String inventorySearchBySubType) {
        this.inventorySearchBySubType = inventorySearchBySubType;
    }

    public String getInventorySearchBySubTypeDescription() {
        return inventorySearchBySubTypeDescription;
    }

    public void setInventorySearchBySubTypeDescription(String inventorySearchBySubTypeDescription) {
        this.inventorySearchBySubTypeDescription = inventorySearchBySubTypeDescription;
    }

    public String getInventorySearchByType() {
        return inventorySearchByType;
    }

    public void setInventorySearchByType(String inventorySearchByType) {
        this.inventorySearchByType = inventorySearchByType;
    }

     public String getProductSubType() {
        return productSubType;
    }

    public void setProductSubType(String productSubType) {
        this.productSubType = productSubType;
    }
    public String getProductDescription() {
        return productDescription;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public String getProductSubTypeDescription() {
        return productSubTypeDescription;
    }

    public void setProductSubTypeDescription(String productSubTypeDescription) {
        this.productSubTypeDescription = productSubTypeDescription;
    }

        public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }
    public String getInventorySearch() {
        return inventorySearch;
    }

    public void setInventorySearch(String inventorySearch) {
        this.inventorySearch = inventorySearch;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductCodeActivation() {
        return productCodeActivation;
    }

    public void setProductCodeActivation(String productCodeActivation) {
        this.productCodeActivation = productCodeActivation;
    }

    /*public String getProductCodeAmend() {
        return productCodeAmend;
    }

    public void setProductCodeAmend(String productCodeAmend) {
        this.productCodeAmend = productCodeAmend;
    }
*/
    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductNameAmend() {
        return productNameAmend;
    }

    public void setProductNameAmend(String productNameAmend) {
        this.productNameAmend = productNameAmend;
    }

    public String getProduct_id() {
        return product_id;
    }

    public void setProduct_id(String product_id) {
        this.product_id = product_id;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatusAmend() {
        return statusAmend;
    }

    public void setStatusAmend(String statusAmend) {
        this.statusAmend = statusAmend;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnitAmend() {
        return unitAmend;
    }

    public void setUnitAmend(String unitAmend) {
        this.unitAmend = unitAmend;
    }

    /**
     * @return the profitFactorAmend
     */
    public String getProfitFactorAmend() {
        return profitFactorAmend;
    }

    /**
     * @param profitFactorAmend the profitFactorAmend to set
     */
    public void setProfitFactorAmend(String profitFactorAmend) {
        this.profitFactorAmend = profitFactorAmend;
    }

    public String getProfitFactor() {
        return profitFactor;
    }

    public void setProfitFactor(String profitFactor) {
        this.profitFactor = profitFactor;
    }




}
